<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Actions
 */

/* Add the options page to the admin menu. */
add_action(
    hook_name: 'admin_menu',
    callback: fn () => add_submenu_page(
        parent_slug: 'options-general.php',
        page_title: __('Manage the Base Classification taxonomy', 'basisklassifikation'),
        menu_title: __('Base Classification', 'basisklassifikation'),
        capability: 'manage_options',
        menu_slug: 'basisklassifikation-options',
        callback: fn () => require TEMPLATE_DIR . 'options-page.php'
    )
);
