<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation\Errors;

use Univie\Basisklassifikation\Klasse;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Ancestor does not exist
 */
class Orphan extends ABC
{
    protected static function get_format(): string
    {
        return esc_html__(
            'parent %s: no matching term',
            'basisklassifikation'
        );
    }

    public function __construct(public readonly Klasse $parent)
    {
        parent::__construct($parent->notation);
    }
}
